scala.tools.nsc.typechecker.StructuredTypeStrings

# intoNodes

###
Related Doc: package StructuredTypeStrings

#### object intoNodes extends DestructureType[TypeNode]

Source
  TypeStrings.scala

Linear Supertypes
StructuredTypeStrings.DestructureType[TypeNode], (Global.Type) ⇒ TypeNode, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. intoNodes
2. DestructureType
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### def andThen[A](g: (TypeNode) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

5. #### def annotatedType(annotations: List[Global.AnnotationInfo], underlying: Global.Type): TypeNode

   Definition Classes
     DestructureType

6. #### def annotation(ann: Global.AnnotationInfo): TypeNode

   Definition Classes
     DestructureType

7. #### def apply(tp: Global.Type): TypeNode

   Definition Classes
     DestructureType → Function1

8. #### def apply(label: String, tp: Global.Type): TypeNode

   Definition Classes
     DestructureType

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

10. #### def atom[U](label: String, value: U): TypeNode

    Definition Classes
      DestructureType

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ TypeNode

    Definition Classes
      Function1
    Annotations
      @unspecialized()

13. #### def constant(label: String, const: Global.Constant): TypeNode

    Definition Classes
      DestructureType

14. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

16. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

18. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

19. #### def list(nodes: List[TypeNode]): TypeNode

    Definition Classes
      DestructureType

20. #### def monoFunction(params: List[Global.Symbol], restpe: Global.Type): TypeNode

    Definition Classes
      DestructureType

21. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def node(label: String, node: TypeNode): TypeNode

    Definition Classes
      DestructureType

23. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

24. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

25. #### def nullaryFunction(restpe: Global.Type): TypeNode

    Definition Classes
      DestructureType

26. #### def parentList(tps: List[Global.Type]): TypeNode

    Definition Classes
      DestructureType

27. #### def polyFunction(tparams: List[Global.Symbol], restpe: Global.Type): TypeNode

    Definition Classes
      DestructureType

28. #### def prefix(pre: Global.Type): TypeNode

    Definition Classes
      DestructureType

29. #### def product(typeName: String, nodes: TypeNode*): TypeNode

    Definition Classes
      DestructureType

30. #### def product(tp: Global.Type, nodes: TypeNode*): TypeNode

    Definition Classes
      DestructureType

31. #### def resultType(restpe: Global.Type): TypeNode

    Definition Classes
      DestructureType

32. #### def scope(decls: Global.Scope): TypeNode

    Definition Classes
      DestructureType

33. #### def symbolType(sym: Global.Symbol): String

    Definition Classes
      DestructureType

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Function1 → AnyRef → Any

36. #### def typeArgs(tps: List[Global.Type]): TypeNode

    Definition Classes
      DestructureType

37. #### def typeBounds(lo0: Global.Type, hi0: Global.Type): TypeNode

    Definition Classes
      DestructureType

38. #### def typeConstraint(constr: Global.TypeConstraint): TypeNode

    Definition Classes
      DestructureType

39. #### def typeParams(tps: List[Global.Symbol]): TypeNode

    Definition Classes
      DestructureType

40. #### def typeRef(tp: Global.TypeRef): TypeNode

    This imposes additional structure beyond that which is visible in the case class hierarchy.

    This imposes additional structure beyond that which is visible in the case class hierarchy. In particular, (too) many different constructs are encoded in TypeRefs; here they are partitioned somewhat before being dispatched.

    For example, a typical type parameter is encoded as TypeRef(NoPrefix, sym, Nil) with its upper and lower bounds stored in the info of the symbol. Viewing the TypeRef naively we are treated to both too much information (useless prefix, usually empty args) and too little (bounds hidden behind indirection.) So drop the prefix and promote the bounds.

    Definition Classes
      DestructureType

41. #### def typeRefType(sym: Global.Symbol): String

    Definition Classes
      DestructureType

42. #### def valueParams(params: List[Global.Symbol]): TypeNode

    Definition Classes
      DestructureType

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def withLabel(node: TypeNode, label: String): TypeNode

    Definition Classes
      intoNodes → DestructureType

47. #### def withType(node: TypeNode, typeName: String): TypeNode

    Definition Classes
      intoNodes → DestructureType

48. #### def wrapAtom[U](value: U): TypeAtom[U]

    Definition Classes
      intoNodes → DestructureType

49. #### def wrapEmpty: TypeEmpty.type

    Definition Classes
      intoNodes → DestructureType

50. #### def wrapMono(in: TypeNode, out: TypeNode): TypeNode

    Definition Classes
      intoNodes → DestructureType

51. #### def wrapPoly(in: TypeNode, out: TypeNode): PolyFunction

    Definition Classes
      intoNodes → DestructureType

52. #### def wrapProduct(nodes: List[TypeNode]): TypeProduct

    Definition Classes
      intoNodes → DestructureType

53. #### def wrapSequence(nodes: List[TypeNode]): TypeList

    Definition Classes
      intoNodes → DestructureType

54. #### def wrapSymbolInfo(sym: Global.Symbol): TypeNode

    Definition Classes
      DestructureType

55. #### def wrapTree(tree: Global.Tree): TypeNode

    Definition Classes
      DestructureType

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from StructuredTypeStrings.DestructureType[TypeNode]

### Inherited from (Global.Type) ⇒ TypeNode

### Inherited from AnyRef

### Inherited from Any

### Ungrouped